#!/usr/bin/env python

import ply.yacc as yacc

from ukscanner import tokens

precedence = (
	('left', 'plus'),
	('left', 'mal'),
)

def p_exp_plus(p):
	'exp : exp plus exp'
	p[0] = p[1] + p[3]

def p_exp_mal(p):
	'exp : exp mal exp'
	p[0] = p[1] * p[3]

def p_exp_zahl(p):
	'exp : zahl'
	p[0] = p[1]

def p_exp_klammer(p):
	'exp : klammerauf exp klammerzu'
	p[0] = p[2]

def p_error(p):
	print "Syntax error in input!"


parser = yacc.yacc()

if __name__ == '__main__':
	s = "(2 + 3) * (4 + 5)"
	result = parser.parse(s)
	print result
